Subject: Re: [Ltru] Where are we?

From: "Doug Ewell" <[email-masked]>
Date: Sat, 7 Feb 2009 14:04:24 -0700

"Phillips, Addison" <addison at amazon dot com> wrote:

> I would like to request that the co-chairs use the issue tracker from 
> now to track proposed changes to the document and the dispositions 
> thereof. I don't want to miss anything in the limited number of new 
> I-Ds that we'll prepare and would like to have clear go/no-go 
> decisions on what to incorporate.

I second this request.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 7 Feb 2009 13:39:10 -0800

Hi -

> From: "Doug Ewell" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Sent: Saturday, February 07, 2009 1:04 PM
> Subject: Re: [Ltru] Where are we?
>

As co-chair...

This is fine with me!  The posted internet drafts are our baseline,
so I request that the editors post the differences between their working
copies and the posted drafts to the [email-masked] mailing list. ONE change
per message, with an appropriate subject line, PLEASE.

Likewise, from the recent exchanges on this list, if there are any
proposals that anyone thinks still merit consideration, please post
them as well, again limiting yourselves to *ONE* proposed change
per message.

I will enter them into an issue tracker and publish access information.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 8 Feb 2009 09:17:51 -0800

(editor hat ON)
> per message, with an appropriate subject line, PLEASE.

I will begin doing so on the draft-20 to draft-21 differences in just a minute.

> them as well, again limiting yourselves to *ONE* proposed change

I intend to review the "Edith Whitehead" thread and report it in separate emails (one per change) with the editor's proposed disposition. Any other issues should be posted by their issuers :-).

Addison

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 13:30:16 -0800

Hi -

I've begun entering the current issues into the tracker,
using the currently published internet drafts as our
baseline, and the recent postings to this list as input.

I'll send out issue number assignments in reponse to the
messages.  It will keep life simpler for all concerned
if you retain issue numbers in subject lines, and start
a new thread for each issue.

The summary of issues can be accessed at
http://trac.tools.ietf.org/wg/ltru/trac/report/1

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 10 Feb 2009 15:15:43 -0800

Hi -

> From: "Randy Presuhn" <[email-masked]>
> Sent: Tuesday, February 10, 2009 1:30 PM
> Subject: [Ltru] Issue Tracker
...
I think all open issues have been entered into the issue tracker
at http://trac.tools.ietf.org/wg/ltru/trac/report/1

Please review the list.  If you object to the editor's proposed
resolution for any issue, please speak up, identifying the
issue number in the subject line of your message.  As Martin
has already said, if we hear no objections, we will simply
follow the editor's proposed resolution.

If we have omitted any open issue from the list, please speak
up NOW.  Please use a separate message with an appropriate
subject line for EACH issue.

Randy
as ltru co-chair

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 11 Feb 2009 18:06:48 -0800

Hi -

The issue list is at http://trac.tools.ietf.org/wg/ltru/trac/report/1

Please review the list.  If you object to the editor's proposed
resolution for any issue, please speak up, identifying the
issue number in the subject line of your message.  As Martin
has already said, if we hear no objections, we will simply
follow the editor's proposed resolution.  At about 10:00 a.m.
Pacific time (about 16 hours from now) I will start closing
all the issues which have not received comment on the list,
as well as those issues on which we have reached a rough
consensus.

Randy
as ltru co-chair

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 12 Feb 2009 12:45:05 -0800

Hi -

At this time only three issues remain open: #9, #18, and #20.

Please say what you need to say about any of these - 
I'll sort through and hopefully close them in about 20
hours.  (09:00 pacific time Friday morning).

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 13 Feb 2009 11:42:43 -0800

Hi -

All 4646bis isses are closed.
At this time only three 4645bis issues remain open: #21, #22, and #23.

For the list of open issues, see
 http://trac.tools.ietf.org/wg/ltru/trac/report/1

For the list of all reports, including the closed ones, see
http://trac.tools.ietf.org/wg/ltru/trac/report/6

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 14 Feb 2009 08:13:50 -0800

Hi -

At this time only one 4645bis issue remains open: #22.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 15 Feb 2009 11:20:52 -0800

Hi Randy,

Could you let me know when to submit draft-21? I assume I'll need the 5378 mumbles in the new draft.

Thanks,

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: Saturday, February 14, 2009 8:14 AM
> To: LTRU Working Group
> Subject: Re: [Ltru] Issue Tracker
> 
> Hi -
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 15 Feb 2009 17:14:24 -0800

Hi -

As co-chair...

> From: "Phillips, Addison" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Sunday, February 15, 2009 11:20 AM
> Subject: RE: [Ltru] Issue Tracker
...
> Could you let me know when to submit draft-21? I assume I'll need the 5378 mumbles in the new draft.

Since all 4646bis isses are closed, you may submit it at your
earliest convenience.  You will definitely need the 5378-style
incantations, and I recommend including the 6.c.iii legend.

Only 4645bis issue #22 remains open; as soon as that is resolved,
Doug may submit that i-d as well.

Martin will then make sure everything is still in synch with his
document shepherd write-up, and hand it over to our AD and the
IESG.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 15 Feb 2009 18:29:34 -0800

Thanks Randy.

I did install the latest xml2rfc DTD. It does produce some of the correct magic mumbles, but not 6.c.iii. Since we include the 6.c.iii mumble, I have applied the noDerivatives200811 IPR directive.

I have generated a new draft-21, placing the 6.c.iii legend into the abstract. I still need to run all the tools on it before submission. However, I have just now posted the draft copies to inter-locale so that others can see/diff/etc. them. I may need to move the 6.c.iii mumble into the copyright manually before submission.

Advice from the co-chairs on this last appreciated. Anyone else: send notice of mistakes. But do it SOON.

  http://www.inter-locale.com/ID/draft-ietf-ltru-4646bis-21.xml
  http://www.inter-locale.com/ID/draft-ietf-ltru-4646bis-21.html
  http://www.inter-locale.com/ID/draft-ietf-ltru-4646bis-21.txt

diff:  http://tinyurl.com/cmhgy8 

Addison 

Addison Phillips

> Sent: Sunday, February 15, 2009 5:14 PM
> To: LTRU Working Group

---

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 15 Feb 2009 19:59:09 -0800

Hi -

> Sent: Sunday, February 15, 2009 6:29 PM
...
> I did install the latest xml2rfc DTD. It does produce some
> of the correct magic mumbles, but not 6.c.iii.

Ok.  I haven't seen any announcements from the tools folk,
but I imagine they need at least a little time to add this stuff.

> Since we include the 6.c.iii mumble, I have applied the
> noDerivatives200811 IPR directive.

I do not think we want that, since that would hamstring attempts to
revised it in the future.  The 6.c.iii incantation is a matter
of whether we are willing to claim that all the contributors (whoever
they may be) have made the broader grant of rights needed to allow
the IETF to spin the document off to some other organization.  That's
different from disallowing the creation of derivative works, per
6.c.i of http://trustee.ietf.org/docs/IETF-Trust-License-Policy.pdf

...
> I may need to move the 6.c.iii mumble into the copyright manually before submission.

I don't recall anyone saying exactly where the incantation needs
to go, but it would seem to make sense as the second paragraph
of the "Status of this Memo" section or as a third paragraph in
the copyright notice.  Treating it as ordinary text before the
absract might cause XML2RFC to do the right thing.

Scanning the diffs, two potential problems jumped out at me:
   - The text put in for issue #1 (which was cast as just
     updating a reference) creates a technical change
   - It looks issue #3's agreed text didn't get put in.

PLEASE post followup on these two issues (or on any other issues)
in separate threads, including the issue number in the subject line.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 15 Feb 2009 21:30:54 -0800

Hi Randy,

Thanks for this. 

> revised it in the future. 

I don't think that's entirely true. The IETF Standards Process is explicitly excluded from the derivative works text, at least in 6.c.iii. At the same time, 6.c.iii has an explicit no-derivatives section to it. IANAL, but since 6.c.iii prohibits derivatives, I don't see how I can check 'trust200811'?? Can I get guidance on this? In the meantime, I can remove the additional no-derivatives text and just use 6.c.iii.

> absract might cause XML2RFC to do the right thing.

I'll try some permutations. My first attempt wasn't successful.

> in separate threads, including the issue number in the subject line.

Any response from me will be under separate cover... I have not looked at these issues as of yet.

Addison

Addison Phillips

---

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 15 Feb 2009 22:44:54 -0800

Hi -

As co-chair...

> Sent: Sunday, February 15, 2009 9:30 PM
> Subject: IPR mumbles..
...
> I don't think that's entirely true. The IETF Standards Process
> is explicitly excluded from the derivative works text, at least
> in 6.c.iii.  At the same time, 6.c.iii has an explicit no-derivatives 
> section to it. IANAL, but since 6.c.iii prohibits derivatives, I
> don't see how I can check 'trust200811'?? Can I get guidance
> on this? In the meantime, I can remove the additional no-derivatives
> text and just use 6.c.iii.
...

6.c.i and 6.c.iii differ *significantly* in the extent of their limitation
on derivative works.  The 6.c.i option is *not* appropriate for our purposes.
It's intended for someone who wants to get something published as an RFC, but not
allow derivative works other than RFC formatting and translations.  The 6.c.iii
option places a limitation on the development of derivative works *outside*
the IETF process. The ability to produce derivative works outside the IETF
process was something added with RFC 5378, and the necessary permissions
were not in effect when contributions were made prior to RFC 5378.  Thus
a document which contains "pre-RFC 5378 material" can live up to RFC 5378's
requirements only if:
   (a) all the contributors of the older material explicitly grant those
       rights (raising the question of who those contributors are and
       how to track them down)
   -or-
   (b) we put in the disclaimer acknowledging the situation, and effectively
      withdrawing the document for consideration for spin-off to some other
      standards body.

(b) seems the correct choice in our case, and that is what the 6.c.iii option
is for.  The 6.c.iii text does *not* limit what we can do inside the IETF
standards process.

The limitation on derivative works in 6.c.iii would only kick in, for example,
if the IETF were to hand off responsibility for the language subtag registry
procedures to, say, the W3C.  Otherwise, for our purposes everything else
continues to work pretty much the way it always has.

Randy

---

From: "Phillips, Addison" <[email-masked]>
Date: Mon, 16 Feb 2009 11:38:35 -0800

I inserted the text in the ticket into my editor's copy. I did include the phrase "for historical purposes".

Addison

Addison Phillips

> Behalf Of Phillips, Addison
> Sent: Sunday, February 15, 2009 9:31 PM
> To: Randy Presuhn; LTRU Working Group
> Subject: [Ltru] IPR mumbles..
> 
> Hi Randy,
> 
> Thanks for this.
> 
> >
> I don't think that's entirely true. The IETF Standards Process is
> explicitly excluded from the derivative works text, at least in
> 6.c.iii. At the same time, 6.c.iii has an explicit no-derivatives
> don't see how I can check 'trust200811'?? Can I get guidance on
> this? In the meantime, I can remove the additional no-derivatives
> > > I may need to move the 6.c.iii mumble into the copyright
> manually
> > before submission.
> >

---

From: "Phillips, Addison" <[email-masked]>
Date: Mon, 16 Feb 2009 11:48:23 -0800

(editor hat OFF)

> >      updating a reference) creates a technical change

I... don't exactly see it that way. Processes do get updated over time. In this case, they renamed the process but don't appear to have changed it appreciably. It still requires an RFC to get a registry entry.

Addison

Addison Phillips

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 16 Feb 2009 13:24:54 -0800

Hi -

Both as a technical contributor and as co-chair...

> To: "Phillips, Addison" <[email-masked]>; "Randy Presuhn" <[email-masked]>; "LTRU Working Group" <[email-masked]>
> Sent: Monday, February 16, 2009 11:48 AM
> Subject: issue #1 resolution[was: RE: IPR mumbles..]
>
> (editor hat OFF)
>
> I... don't exactly see it that way. Processes do get updated
> over time. In this case, they renamed the process but don't
> appear to have changed it appreciably. It still requires an
> RFC to get a registry entry.

People of good will may have different interpretations of "appreciably."

RFC 2434 said:
      IETF Consensus - New values are assigned through the IETF
           consensus process. Specifically, new assignments are made via
           RFCs approved by the IESG. Typically, the IESG will seek
           input on prospective assignments from appropriate persons
           (e.g., a relevant Working Group if one exists).

RFC 5226 says:
      IETF Review - (Formerly called "IETF Consensus" in
            [IANA-CONSIDERATIONS]) New values are assigned only through
            RFCs that have been shepherded through the IESG as AD-
            Sponsored or IETF WG Documents [RFC3932] [RFC3978].  The
            intention is that the document and proposed assignment will
            be reviewed by the IESG and appropriate IETF WGs (or
            experts, if suitable working groups no longer exist) to
            ensure that the proposed assignment will not negatively
            impact interoperability or otherwise extend IETF protocols
            in an inappropriate or damaging manner.

            To ensure adequate community review, such documents are
            shepherded through the IESG as AD-sponsored (or WG)
            documents with an IETF Last Call.

If there are no objections to this change (or if you think this is
a non-change) then it's fine with me.  I just want people to be
clear about what the (non)changes are.

Randy